
Redmine - Defect #11768

Mail Receiving Does Not Work

2012-09-04 08:37 - 旭 張

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.0.3

Description

About your application's environment:

Ruby version              1.9.3 (x86_64-linux)

RubyGems version          1.8.24

Rack version              1.4

Rails version             3.2.6

Active Record version     3.2.6

Action Pack version       3.2.6

Active Resource version   3.2.6

Action Mailer version     3.2.6

Active Support version    3.2.6

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock, #<ActiveSupport::Cache:

:Strategy::LocalCache::Middleware:0x00000001362418>, Rack::Runtime, Rack::MethodOverride, ActionDi

spatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExcep

tions, ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::Conn

ectionManagement, ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::Cook

ieStore, ActionDispatch::Flash, ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::Conditio

nalGet, Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root          /www/redmine

Environment               production

Database adapter          mysql2

Database schema version   20120422150750

 the command I run:

/usr/local/rvm/gems/ruby-1.9.3-p194@global/bin/rake -f /www/redmine/Rakefile redmine:email:receive

_imap RAILS_ENV="production" host=HOSTNAME username=redmine password=12345678

 and I test this too:

/usr/local/rvm/gems/ruby-1.9.3-p194@global/bin/rake -f /www/redmine/Rakefile --silent redmine:emai

l:receive_pop3 RAILS_ENV="production" host=HOSTNAME username=redmine password=12345678 delete_unpr

ocessed=1

 and this:

rake -f /www/redmine/Rakefile --trace redmine:email:read RAILS_ENV="production" < /tmp/redmine (my

 raw mail file)

 all I got is:

Non US-ASCII detected and no charset defined.

Defaulting to UTF-8, set your own if this is incorrect.

 and my Redmine did NOT get any reply :-(

I am sure the mail was encoding with UTF-8 (in Chinese),
and I checked my mail server,

these mails for Redmine marked as READ after I ran these commands above.

I think Redmine had receiving these mails, but it could NOT write to database (?)

is there any log I could trace ?

or I missing something ?

History

#1 - 2012-09-04 08:39 - 旭 張

I setup Redmine in RHEL 6.2 x86_64, using RVM and run with Apache feat. Passenger

I using LDAP as auth method.

my reference:

http://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails

https://we.riseup.net/cgdev/using-email-with-redmine

http://serverfault.com/questions/287631/how-can-i-configure-redmine-to-create-or-update-new-issues-via-email

thank you so much!

and thank Redmine so much! (it help me a loooooooooot!)

#2 - 2012-09-05 11:34 - 旭 張

- File 1_before.png added

- File 2_after.png added

- File 3_command.png added

#3 - 2012-09-10 07:59 - 旭 張

Connecting to database specified by database.yml

OpenIdAuthentication.store is nil. Using in-memory store.

Creating scope :open. Overwriting existing method Version.open.

Creating scope :active. Overwriting existing method User.active.

DEPRECATION WARNING: The InstanceMethods module inside ActiveSupport::Concern will be no longer included autom

atically. Please define instance methods directly in CollectiveIdea::Acts::NestedSet::Model instead. (called f

rom include at /www/redmine/lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:58)

DEPRECATION WARNING: The InstanceMethods module inside ActiveSupport::Concern will be no longer included autom

atically. Please define instance methods directly in CollectiveIdea::Acts::NestedSet::Model instead. (called f

rom include at /www/redmine/lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:58)

Creating scope :open. Overwriting existing method Issue.open.

MailHandler: ignoring email from unknown user [zx1986@gmail.com]

#4 - 2012-09-10 08:04 - 旭 張

- Status changed from New to Resolved

- % Done changed from 0 to 100

my mistake ...

my e-mail doesn't match with mail of the Redmine account ....

I'm so stupid ....

#5 - 2012-09-10 09:45 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the update =)
